<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.TQuestionFeedbackInfoMapper">

  <resultMap id="tQuestionFeedbackInfoMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.TQuestionFeedbackInfo">
    <id property="id" column="ID"/>
    <result property="name" column="NAME"/>
    <result property="mobile" column="MOBILE"/>
    <result property="question" column="QUESTION"/>
    <result property="handleStatus" column="HANDLE_STATUS"/>
    <result property="handleOperator" column="HANDLE_OPERATOR"/>
    <result property="handleFinishTime" column="HANDLE_FINISH_TIME"/>
    <result property="handleRemark" column="HANDLE_REMARK"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="updateTime" column="UPDATE_TIME"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.NAME,
                a.MOBILE,
                a.QUESTION,
                a.HANDLE_STATUS,
                a.HANDLE_OPERATOR,
                a.HANDLE_FINISH_TIME,
                a.HANDLE_REMARK,
                a.CREATE_BY,
                a.CREATE_NAME,
                a.CREATE_TIME,
                a.UPDATE_BY,
                a.UPDATE_TIME
    </sql>
    <sql id="tQuestionFeedbackInfo_where">
        <if test="tQuestionFeedbackInfo != null">
                    <if test="tQuestionFeedbackInfo.id != null and tQuestionFeedbackInfo.id.trim() != ''">
                        AND a.ID = #{tQuestionFeedbackInfo.id}
                    </if>
                    <if test="tQuestionFeedbackInfo.name != null and tQuestionFeedbackInfo.name.trim() != ''">
                        AND a.NAME = #{tQuestionFeedbackInfo.name}
                    </if>
                    <if test="tQuestionFeedbackInfo.mobile != null and tQuestionFeedbackInfo.mobile.trim() != ''">
                        AND a.MOBILE = #{tQuestionFeedbackInfo.mobile}
                    </if>
                    <if test="tQuestionFeedbackInfo.question != null and tQuestionFeedbackInfo.question.trim() != ''">
                        AND a.QUESTION = #{tQuestionFeedbackInfo.question}
                    </if>
                    <if test="tQuestionFeedbackInfo.handleStatus != null and tQuestionFeedbackInfo.handleStatus.trim() != ''">
                        AND a.HANDLE_STATUS = #{tQuestionFeedbackInfo.handleStatus}
                    </if>
                    <if test="tQuestionFeedbackInfo.handleOperator != null and tQuestionFeedbackInfo.handleOperator.trim() != ''">
                        AND a.HANDLE_OPERATOR = #{tQuestionFeedbackInfo.handleOperator}
                    </if>
                    <if test="tQuestionFeedbackInfo.handleFinishTime != null">
                        AND a.HANDLE_FINISH_TIME = #{tQuestionFeedbackInfo.handleFinishTime}
                    </if>
                    <if test="tQuestionFeedbackInfo.handleRemark != null and tQuestionFeedbackInfo.handleRemark.trim() != ''">
                        AND a.HANDLE_REMARK = #{tQuestionFeedbackInfo.handleRemark}
                    </if>
                    <if test="tQuestionFeedbackInfo.createBy != null and tQuestionFeedbackInfo.createBy.trim() != ''">
                        AND a.CREATE_BY = #{tQuestionFeedbackInfo.createBy}
                    </if>
                    <if test="tQuestionFeedbackInfo.createName != null and tQuestionFeedbackInfo.createName.trim() != ''">
                        AND a.CREATE_NAME = #{tQuestionFeedbackInfo.createName}
                    </if>
                    <if test="tQuestionFeedbackInfo.createTime != null">
                        AND a.CREATE_TIME = #{tQuestionFeedbackInfo.createTime}
                    </if>
                    <if test="tQuestionFeedbackInfo.updateBy != null and tQuestionFeedbackInfo.updateBy.trim() != ''">
                        AND a.UPDATE_BY = #{tQuestionFeedbackInfo.updateBy}
                    </if>
                    <if test="tQuestionFeedbackInfo.updateTime != null">
                        AND a.UPDATE_TIME = #{tQuestionFeedbackInfo.updateTime}
                    </if>
        </if>
    </sql>
    <!--tQuestionFeedbackInfo简单分页查询-->
    <select id="getTQuestionFeedbackInfoPage" resultMap="tQuestionFeedbackInfoMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_question_feedback_info a
        <where>
            1=1
            <include refid="tQuestionFeedbackInfo_where"/>
        </where>
    </select>
</mapper>
